#
# compiler
#
CC        = g++
#CC       	  = clang++
CXXFLAGS 		= -Wall -Wextra -std=c++11 -O3 -DNDEBUG
#CXXFLAGS 		= -Wall -Wextra -std=c++11 -Wfatal-errors -g

#
# mascot 
#
MASCOTROOT		= ../../../
MASCOTINC		= -I$(MASCOTROOT)/utils -I$(MASCOTROOT)/bdd 

#
# cudd 
#
CUDDPATH		=  /opt/local
#CUDDPATH		= /home/kmallik/libraries/
CUDDINCa 		= -I$(CUDDPATH)/include
CUDDINCb		= -I$(CUDDPATH)/include/cudd
CUDDLIBS		= -lcudd 
CUDDLPATH   = -L$(CUDDPATH)/lib

TARGET = osc

all: $(TARGET)

%.o:%.cc
	$(CC) -c $(CXXFLAGS) $(CUDDINCa) $(CUDDINCb) $(MASCOTINC) $< -o $@

$(TARGET): $(TARGET).o
	$(CC) $(CXXFLAGS) -o $(TARGET) $(TARGET).o $(CUDDLPATH) $(CUDDLIBS)


clean:
	rm  ./$(TARGET)  ./$(TARGET).o
